{code}
diff --git a/tests/manual/quickcontrols/testbench/ApplicationWindow.qml b/tests/manual/quickcontrols/testbench/ApplicationWindow.qml
index 57baed7127..d062dc5ab8 100644
--- a/tests/manual/quickcontrols/testbench/ApplicationWindow.qml
+++ b/tests/manual/quickcontrols/testbench/ApplicationWindow.qml
@@ -2,5 +2,6 @@
 // SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only
 
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 ApplicationWindow {}
diff --git a/tests/manual/quickcontrols/testbench/ColorEditor.qml b/tests/manual/quickcontrols/testbench/ColorEditor.qml
index 4d2ab5ad86..61ebd3b2c7 100644
--- a/tests/manual/quickcontrols/testbench/ColorEditor.qml
+++ b/tests/manual/quickcontrols/testbench/ColorEditor.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 import QtQuick.Layouts
 
 RowLayout {
diff --git a/tests/manual/quickcontrols/testbench/ContentPane.qml b/tests/manual/quickcontrols/testbench/ContentPane.qml
index a42edbdb81..b981291939 100644
--- a/tests/manual/quickcontrols/testbench/ContentPane.qml
+++ b/tests/manual/quickcontrols/testbench/ContentPane.qml
@@ -2,5 +2,6 @@
 // SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only
 
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 Pane {}
diff --git a/tests/manual/quickcontrols/testbench/Dialog.qml b/tests/manual/quickcontrols/testbench/Dialog.qml
index f909386c86..0a848b3a4a 100644
--- a/tests/manual/quickcontrols/testbench/Dialog.qml
+++ b/tests/manual/quickcontrols/testbench/Dialog.qml
@@ -2,5 +2,6 @@
 // SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only
 
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 Dialog {}
diff --git a/tests/manual/quickcontrols/testbench/ExampleContainer.qml b/tests/manual/quickcontrols/testbench/ExampleContainer.qml
index 478012c884..913343a7e9 100644
--- a/tests/manual/quickcontrols/testbench/ExampleContainer.qml
+++ b/tests/manual/quickcontrols/testbench/ExampleContainer.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 import QtQuick.Layouts
 
 Frame {
diff --git a/tests/manual/quickcontrols/testbench/Menu.qml b/tests/manual/quickcontrols/testbench/Menu.qml
index 8f39739aaa..f8a98384cc 100644
--- a/tests/manual/quickcontrols/testbench/Menu.qml
+++ b/tests/manual/quickcontrols/testbench/Menu.qml
@@ -2,5 +2,6 @@
 // SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only
 
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 Menu {}
diff --git a/tests/manual/quickcontrols/testbench/SettingsDialog.qml b/tests/manual/quickcontrols/testbench/SettingsDialog.qml
index 545cf6fa83..2f91f90740 100644
--- a/tests/manual/quickcontrols/testbench/SettingsDialog.qml
+++ b/tests/manual/quickcontrols/testbench/SettingsDialog.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 import QtQuick.Layouts
 
 import Backend
diff --git a/tests/manual/quickcontrols/testbench/ToolBar.qml b/tests/manual/quickcontrols/testbench/ToolBar.qml
index 1d7c503f56..5dcb059045 100644
--- a/tests/manual/quickcontrols/testbench/ToolBar.qml
+++ b/tests/manual/quickcontrols/testbench/ToolBar.qml
@@ -2,5 +2,6 @@
 // SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only
 
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 ToolBar {}
diff --git a/tests/manual/quickcontrols/testbench/controls/BusyIndicator.qml b/tests/manual/quickcontrols/testbench/controls/BusyIndicator.qml
index 1c14c13a00..cf79e22ae7 100644
--- a/tests/manual/quickcontrols/testbench/controls/BusyIndicator.qml
+++ b/tests/manual/quickcontrols/testbench/controls/BusyIndicator.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/Button.qml b/tests/manual/quickcontrols/testbench/controls/Button.qml
index 12f398ccab..75f8eabcd2 100644
--- a/tests/manual/quickcontrols/testbench/controls/Button.qml
+++ b/tests/manual/quickcontrols/testbench/controls/Button.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/CheckBox.qml b/tests/manual/quickcontrols/testbench/controls/CheckBox.qml
index b595e592b2..fc6b343f38 100644
--- a/tests/manual/quickcontrols/testbench/controls/CheckBox.qml
+++ b/tests/manual/quickcontrols/testbench/controls/CheckBox.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/CheckDelegate.qml b/tests/manual/quickcontrols/testbench/controls/CheckDelegate.qml
index 4e52566ed0..2b2bb75152 100644
--- a/tests/manual/quickcontrols/testbench/controls/CheckDelegate.qml
+++ b/tests/manual/quickcontrols/testbench/controls/CheckDelegate.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/ComboBox.qml b/tests/manual/quickcontrols/testbench/controls/ComboBox.qml
index a1c57db693..ae1e8585ac 100644
--- a/tests/manual/quickcontrols/testbench/controls/ComboBox.qml
+++ b/tests/manual/quickcontrols/testbench/controls/ComboBox.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/DelayButton.qml b/tests/manual/quickcontrols/testbench/controls/DelayButton.qml
index 8509932a0d..cfb9fc7427 100644
--- a/tests/manual/quickcontrols/testbench/controls/DelayButton.qml
+++ b/tests/manual/quickcontrols/testbench/controls/DelayButton.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/Dial.qml b/tests/manual/quickcontrols/testbench/controls/Dial.qml
index ec7f5411e3..38a94074c7 100644
--- a/tests/manual/quickcontrols/testbench/controls/Dial.qml
+++ b/tests/manual/quickcontrols/testbench/controls/Dial.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/Dialog.qml b/tests/manual/quickcontrols/testbench/controls/Dialog.qml
index 259e1742b4..76f51e2753 100644
--- a/tests/manual/quickcontrols/testbench/controls/Dialog.qml
+++ b/tests/manual/quickcontrols/testbench/controls/Dialog.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 import QtQuick.Layouts
 
 // TODO
diff --git a/tests/manual/quickcontrols/testbench/controls/Frame.qml b/tests/manual/quickcontrols/testbench/controls/Frame.qml
index 76f90d7d2f..9ad8a7e884 100644
--- a/tests/manual/quickcontrols/testbench/controls/Frame.qml
+++ b/tests/manual/quickcontrols/testbench/controls/Frame.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/GroupBox.qml b/tests/manual/quickcontrols/testbench/controls/GroupBox.qml
index 44c122a230..fd8a35cb4d 100644
--- a/tests/manual/quickcontrols/testbench/controls/GroupBox.qml
+++ b/tests/manual/quickcontrols/testbench/controls/GroupBox.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/ItemDelegate.qml b/tests/manual/quickcontrols/testbench/controls/ItemDelegate.qml
index 59b8a6460a..2e5e191f02 100644
--- a/tests/manual/quickcontrols/testbench/controls/ItemDelegate.qml
+++ b/tests/manual/quickcontrols/testbench/controls/ItemDelegate.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/Label.qml b/tests/manual/quickcontrols/testbench/controls/Label.qml
index 6632643803..ac3fc2cebf 100644
--- a/tests/manual/quickcontrols/testbench/controls/Label.qml
+++ b/tests/manual/quickcontrols/testbench/controls/Label.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/Menu.qml b/tests/manual/quickcontrols/testbench/controls/Menu.qml
index f1948a7399..f3c818e6c2 100644
--- a/tests/manual/quickcontrols/testbench/controls/Menu.qml
+++ b/tests/manual/quickcontrols/testbench/controls/Menu.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 import QtQuick.Layouts
 
 // TODO
diff --git a/tests/manual/quickcontrols/testbench/controls/MenuBar.qml b/tests/manual/quickcontrols/testbench/controls/MenuBar.qml
index 0d53cf8cb6..09533ce4df 100644
--- a/tests/manual/quickcontrols/testbench/controls/MenuBar.qml
+++ b/tests/manual/quickcontrols/testbench/controls/MenuBar.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 // TODO
 QtObject {
diff --git a/tests/manual/quickcontrols/testbench/controls/Page.qml b/tests/manual/quickcontrols/testbench/controls/Page.qml
index ef3a0dca7d..29b0477520 100644
--- a/tests/manual/quickcontrols/testbench/controls/Page.qml
+++ b/tests/manual/quickcontrols/testbench/controls/Page.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/PageIndicator.qml b/tests/manual/quickcontrols/testbench/controls/PageIndicator.qml
index 4b7c0d5a0d..cf9bc3c34b 100644
--- a/tests/manual/quickcontrols/testbench/controls/PageIndicator.qml
+++ b/tests/manual/quickcontrols/testbench/controls/PageIndicator.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 import QtQuick.Layouts
 
 QtObject {
diff --git a/tests/manual/quickcontrols/testbench/controls/Pane.qml b/tests/manual/quickcontrols/testbench/controls/Pane.qml
index 7af1ae731a..73d4cc5d9a 100644
--- a/tests/manual/quickcontrols/testbench/controls/Pane.qml
+++ b/tests/manual/quickcontrols/testbench/controls/Pane.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/ProgressBar.qml b/tests/manual/quickcontrols/testbench/controls/ProgressBar.qml
index 3632effa3e..7a6c607470 100644
--- a/tests/manual/quickcontrols/testbench/controls/ProgressBar.qml
+++ b/tests/manual/quickcontrols/testbench/controls/ProgressBar.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/RadioButton.qml b/tests/manual/quickcontrols/testbench/controls/RadioButton.qml
index feb8d8f195..906019bae2 100644
--- a/tests/manual/quickcontrols/testbench/controls/RadioButton.qml
+++ b/tests/manual/quickcontrols/testbench/controls/RadioButton.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/RadioDelegate.qml b/tests/manual/quickcontrols/testbench/controls/RadioDelegate.qml
index 65ca8dcbc1..9fff01e1ea 100644
--- a/tests/manual/quickcontrols/testbench/controls/RadioDelegate.qml
+++ b/tests/manual/quickcontrols/testbench/controls/RadioDelegate.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/RangeSlider.qml b/tests/manual/quickcontrols/testbench/controls/RangeSlider.qml
index 75bfbd97a4..f811adc3e7 100644
--- a/tests/manual/quickcontrols/testbench/controls/RangeSlider.qml
+++ b/tests/manual/quickcontrols/testbench/controls/RangeSlider.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/RoundButton.qml b/tests/manual/quickcontrols/testbench/controls/RoundButton.qml
index 9e25c8210a..c376a580a1 100644
--- a/tests/manual/quickcontrols/testbench/controls/RoundButton.qml
+++ b/tests/manual/quickcontrols/testbench/controls/RoundButton.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/ScrollBar.qml b/tests/manual/quickcontrols/testbench/controls/ScrollBar.qml
index d2124a53cb..d6f9db0abe 100644
--- a/tests/manual/quickcontrols/testbench/controls/ScrollBar.qml
+++ b/tests/manual/quickcontrols/testbench/controls/ScrollBar.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/ScrollIndicator.qml b/tests/manual/quickcontrols/testbench/controls/ScrollIndicator.qml
index f43027ae58..624d628356 100644
--- a/tests/manual/quickcontrols/testbench/controls/ScrollIndicator.qml
+++ b/tests/manual/quickcontrols/testbench/controls/ScrollIndicator.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/Slider.qml b/tests/manual/quickcontrols/testbench/controls/Slider.qml
index 098621fc73..513dc05d1b 100644
--- a/tests/manual/quickcontrols/testbench/controls/Slider.qml
+++ b/tests/manual/quickcontrols/testbench/controls/Slider.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/SpinBox.qml b/tests/manual/quickcontrols/testbench/controls/SpinBox.qml
index b7df6a080e..8dbd9b7674 100644
--- a/tests/manual/quickcontrols/testbench/controls/SpinBox.qml
+++ b/tests/manual/quickcontrols/testbench/controls/SpinBox.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/SplitView.qml b/tests/manual/quickcontrols/testbench/controls/SplitView.qml
index 7d7a975561..701b318ab0 100644
--- a/tests/manual/quickcontrols/testbench/controls/SplitView.qml
+++ b/tests/manual/quickcontrols/testbench/controls/SplitView.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/SwipeDelegate.qml b/tests/manual/quickcontrols/testbench/controls/SwipeDelegate.qml
index df6de6aacd..6a7764dd36 100644
--- a/tests/manual/quickcontrols/testbench/controls/SwipeDelegate.qml
+++ b/tests/manual/quickcontrols/testbench/controls/SwipeDelegate.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/Switch.qml b/tests/manual/quickcontrols/testbench/controls/Switch.qml
index db44ed1900..6eb8a679bd 100644
--- a/tests/manual/quickcontrols/testbench/controls/Switch.qml
+++ b/tests/manual/quickcontrols/testbench/controls/Switch.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/SwitchDelegate.qml b/tests/manual/quickcontrols/testbench/controls/SwitchDelegate.qml
index 686b38f9ad..abeadf8af7 100644
--- a/tests/manual/quickcontrols/testbench/controls/SwitchDelegate.qml
+++ b/tests/manual/quickcontrols/testbench/controls/SwitchDelegate.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/TabBar.qml b/tests/manual/quickcontrols/testbench/controls/TabBar.qml
index 96ee0896f4..424174e371 100644
--- a/tests/manual/quickcontrols/testbench/controls/TabBar.qml
+++ b/tests/manual/quickcontrols/testbench/controls/TabBar.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 // TODO
 QtObject {
diff --git a/tests/manual/quickcontrols/testbench/controls/TextArea.qml b/tests/manual/quickcontrols/testbench/controls/TextArea.qml
index b9c08846e4..7250717460 100644
--- a/tests/manual/quickcontrols/testbench/controls/TextArea.qml
+++ b/tests/manual/quickcontrols/testbench/controls/TextArea.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/TextField.qml b/tests/manual/quickcontrols/testbench/controls/TextField.qml
index 74719dacad..a62be0f676 100644
--- a/tests/manual/quickcontrols/testbench/controls/TextField.qml
+++ b/tests/manual/quickcontrols/testbench/controls/TextField.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 
 QtObject {
     property var supportedStates: [
diff --git a/tests/manual/quickcontrols/testbench/controls/ToolBar.qml b/tests/manual/quickcontrols/testbench/controls/ToolBar.qml
index 867556d152..49c32fb385 100644
--- a/tests/manual/quickcontrols/testbench/controls/ToolBar.qml
+++ b/tests/manual/quickcontrols/testbench/controls/ToolBar.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 import QtQuick.Layouts
 
 // TODO
diff --git a/tests/manual/quickcontrols/testbench/controls/ToolTip.qml b/tests/manual/quickcontrols/testbench/controls/ToolTip.qml
index f6ec986047..0199a52d49 100644
--- a/tests/manual/quickcontrols/testbench/controls/ToolTip.qml
+++ b/tests/manual/quickcontrols/testbench/controls/ToolTip.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 import QtQuick.Layouts
 
 QtObject {
diff --git a/tests/manual/quickcontrols/testbench/controls/Tumbler.qml b/tests/manual/quickcontrols/testbench/controls/Tumbler.qml
index 067d3664b6..36c24f1da8 100644
--- a/tests/manual/quickcontrols/testbench/controls/Tumbler.qml
+++ b/tests/manual/quickcontrols/testbench/controls/Tumbler.qml
@@ -3,6 +3,7 @@
 
 import QtQuick
 import QtQuick.Controls
+import QtQuick.Controls.Material
 import QtQuick.Layouts
 
 QtObject {
diff --git a/tests/manual/quickcontrols/testbench/testbench.qml b/tests/manual/quickcontrols/testbench/testbench.qml
index 68975cfd69..4da22bbda7 100644
--- a/tests/manual/quickcontrols/testbench/testbench.qml
+++ b/tests/manual/quickcontrols/testbench/testbench.qml
@@ -6,6 +6,7 @@ import QtQuick
 import QtQuick.Window
 import QtQuick.Layouts
 import QtQuick.Controls
+import QtQuick.Controls.Material
 import Qt.labs.folderlistmodel
 
 import Backend
{code}